# List products Retrieves all configured products. Endpoint: GET /v3/products Version: 2026-01-08 Security: ZephrHmacHttp ## Response 200 fields (application/json): - `results` (array) - `results.tenantId` (string) Example: "company" - `results.subTenantId` (string) Example: "company|demo" - `results.id` (string) The product ID/slug. This is the unique identifier for the product within the tenant. Example: "gold" - `results.label` (string) The product label. This is the human-readable name of the product. Example: "Gold Subscription" - `results.description` (string) The product description. This is a human-readable description of the product. Example: "The most premium subscription." - `results.entitlement` (object) - `results.entitlement.id` (string) Entitlement ID/slug. Example: "gold-bundle" - `results.entitlement.type` (string) Entitlement type (always "bundle"). Example: "bundle" - `results.entitlement.entitlementTenant` (string) Entitlement tenant ID. Example: "company" - `results.mapping` (object) Example: {"braintree_one_off":{"price_points":[{"id":"ten","label":"Ten Dollars","price":10}]}} - `results.mapping.braintree_recurring` (object) - `results.mapping.braintree_recurring.plan_id` (string) The Braintree plan ID. This is the unique identifier for the plan within the Braintree account. Example: "gold" - `results.mapping.braintree_recurring.archived` (boolean) Whether the product is archived. If true, the product will not be available for purchase. Example: true - `results.mapping.braintree_one_off` (object) Example: {"price_points":[{"id":"ten","label":"Ten Dollars","price":10}]} - `results.mapping.braintree_one_off.price_points` (array) Example: [{"id":"ten","label":"Ten Dollars","price":10}] - `results.mapping.braintree_one_off.price_points.id` (string, required) The unique identifier for the price point within the product. Example: "ten" - `results.mapping.braintree_one_off.price_points.label` (string, required) The human-readable name of the price point. Example: "Ten Dollars" - `results.mapping.braintree_one_off.price_points.price` (number, required) The price of the product in the currency of the payment provider account. Example: 10 - `results.mapping.braintree_one_off.price_points.archived` (boolean) Whether the price point is archived. If true, the price point will not be available for purchase. Example: true - `results.mapping.stripe_recurring` (object) - `results.mapping.stripe_recurring.stripe_plan_id` (string) The Stripe plan ID. This is the unique identifier for the plan within the Stripe account. Example: "gold" - `results.mapping.stripe_one_off` (object) - `results.mapping.rate_plans` (array) - `results.mapping.rate_plans.payment_provider` (string, required) The payment provider for which the rate plan is configured. - `results.mapping.rate_plans.rate_plan_id` (string, required) The unique identifier for the rate plan within the payment provider account. - `results.mapping.rate_plans.archived` (boolean) Whether the rate plan is archived. If true, the rate plan will not be available for purchase. - `results.mapping.rate_plans.archive_label` (string) The human-readable name of the rate plan. - `results.mapping.rate_plans.environment` (string, required) The environment for which the rate plan is configured. Example: "LIVE" - `results.mapping.jwt` (object) - `results.mapping.jwt.privateClaimValue` (string) - `results.sharingLimit` (number) The number of other users that the purchaser of this product can share the product with. Example: 5